mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
* Re: HD DMA disabled in 2.4.21-rc2, works fine in 2.4.20
@ 2003-05-24  2:45 Lars
  2003-05-24  4:02 ` Still more Redhat Module Troubles John Shillinglaw
  0 siblings, 1 reply; 4+ messages in thread
From: Lars @ 2003-05-24  2:45 UTC (permalink / raw)
  To: linux-kernel

Solved!

I looked at the 2.4.20 output and saw ICH2M mentioned in the
output. I then grepped the drivers/ide/pci files for ICH2M
and found I just had to enable CONFIG_BLK_DEV_PIIX.

In my defense I can only say that the Configure.help
stated that this option only enables extended PIO modes.

So for the record: A Dell Inspiron 8100 Laptop needs
the CONFIG_BLK_DEV_PIIX to enable DMA.

-- Lars


^ permalink raw reply	[flat|nested] 4+ messages in thread
* Re: Still more Redhat Module Troubles
@ 2003-05-24 10:14 mikpe
  2003-05-25  4:29 ` John Shillinglaw
  0 siblings, 1 reply; 4+ messages in thread
From: mikpe @ 2003-05-24 10:14 UTC (permalink / raw)
  To: linux-kernel, linuxtech

On 24 May 2003 00:02:30 -0400, John Shillinglaw wrote:
>Anyway I get not found messages when redhat modprobes char-major-10-1,
>eth1, etc. when it boots up. This seems to be related to aliases since
>eth1 is aliased to sis900 and char-major-10-1 to psaux. All help greatly
>appreciated... exact details and .config file below:
...
>I also tried to run the generate modprobe.conf script with no changes to
>the behavior.

Did you install the generated modprobe.conf in /etc? If not, do so.

rc.sysinit has a known problem that causes it to disable module
autoloading in 2.5 kernels. Fixed by the patch below.

mkinitrd generally doesn't work with 2.5 modules, or once the new
module-init-tools have been installed. I don't know how to fix
that; maybe an LKML archive search will find something.

--- /etc/rc.d/rc.sysinit~	2003-02-24 22:54:17.000000000 +0100
+++ /etc/rc.d/rc.sysinit	2003-05-01 17:07:09.000000000 +0200
@@ -357,7 +357,7 @@
     IN_INITLOG=
 fi
 
-if ! LC_ALL=C grep -iq nomodules /proc/cmdline 2>/dev/null && [ -f /proc/ksyms ]; then
+if ! LC_ALL=C grep -iq nomodules /proc/cmdline 2>/dev/null && [ -f /proc/modules ]; then
     USEMODULES=y
 fi
 

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2003-05-25  4:16 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2003-05-24  2:45 HD DMA disabled in 2.4.21-rc2, works fine in 2.4.20 Lars
2003-05-24  4:02 ` Still more Redhat Module Troubles John Shillinglaw
2003-05-24 10:14 mikpe
2003-05-25  4:29 ` John Shillinglaw

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®